;   TIM - DEMO        0.5    DFRDF
;
;****************************************************
#define DfrdFFT             1190
#define DfrdFractals        1260

parms
 int windis = 16
 file timdemo = "dummy"
 int hmode
endparms
int choice
int autorun = 0
int err
repeat          ;repeat ... until
if autorun == 0
 cls
 print @8 @i "      <<TIM>> DEMO          FREE RUNNING DEMO'S       " @n
 print @8 @i " For these demo's an 80X87 coprocessor is recommended " @n @r
 print @8 "To the previous menu  . . . . . . . . . . . . . . . . .0", @r
 print @8 "FFT - noise filtering in the Fourier domain . . . . . .1"
 print @8 "MANDELBROT - creates fractal images . . . . . . . . . .2"
 print @8 "GEOM - coordinate tramnsformations  . . . . . . . . . .3" @r
 print @8 "AUTORUN    - run all demo's continuously . . . . . . . 4" @r
 choice = "        Enter your choice . . . . . . . . . . . . . . . . .   "
else
  choice = ((choice % 4) + 1)
endif

 cls
 zoom 0
 /init
 dest p
 switch choice
   case 1
     help timdemo DfrdFFT, hmode
     *dfft  windis timdemo

   case 2
     help timdemo DfrdFractals, hmode
     dest p
     show p
     zoom 1
	 err = chk lut 2 1 6 6
     mand -1.22681  0.16623  0.00195  2.0
     if  windis > 0
       lut 3 1 6 6
       copy p h
     endif

  case 3
    *dct windis 
  case 4
    autorun = 1
 endsw
 call waitres
until choice == 0

stop

ermsg:
  print @r @8 "Image not found."
  wait
return


waitres:
  if (choice > 0) && (choice < 4)
    if autorun == 0
       pause
       print @z
    else
       wait 5
    endif
  endif
  return
